client = require('./client')

operators = ['(i [([went] ([to] ({the} store)))])']

bridges = [
  { "id": "the", "level": 0, "bridge": "{ ...after, determiner: 'the' }" },
  { "id": "to", "level": 0, "bridge": "{ ...next(operator), after: after[0] }" },
  { "id": "went", "level": 0, "bridge": "{ ...squish(after[0]), ...next(operator) }" },
  { "id": "went", "level": 1, "bridge": "{ ...next(operator), who: before[0] }" },
  { "id": "went", "level": 2, "bridge": "{ action: 'go', marker: 'go', actor: operator.who, place: operator.to }" },
]

utterances = ["joe went to the store"]

client.process(operators, bridges, utterances)
  .then( (responses) => {
    console.log(responses);
    JSON.parse(responses)
  })
  .catch( (error) => { 
    console.log(error)
  })

operators = ['([call] (tank1) (joe))']

bridges = [
  { "id": "call", "level": 0, "bridge": "{ ...next(operator), thing: after[0], name: after[1] }" },
  { "id": "call", "level": 1, "bridge": "{ marker: 'rename', thing: operator.thing, name: operator.name }" },
]

utterances = ["call tank1 joe"]

client.process(operators, bridges, utterances)
  .then( (responses) => {
    console.log('xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx');
    console.log(responses);
    JSON.parse(responses)
  })
  .catch( (error) => { 
    console.log('in the erro handler');
    console.log(error)
  })
